Name:           xdg-app
Version:        0.5.2
Release:        1%{?dist}
Summary:        Application deployment framework for desktop apps

Group:          Development/Tools
License:        LGPLv2+
URL:            https://github.com/alexlarsson/xdg-app
Source0:        http://www.freedesktop.org/software/%{name}/releases/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libarchive) >= 2.8.0
BuildRequires:  pkgconfig(libelf) >= 0.8.12
BuildRequires:  pkgconfig(libgsystem) >= 2015.1
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(ostree-1) >= 2015.3
%ifnarch %{power64}
BuildRequires:  pkgconfig(libseccomp)
%endif
BuildRequires:  pkgconfig(xau)
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  libattr-devel
BuildRequires:  libcap-devel
BuildRequires:  libdwarf-devel
BuildRequires:  systemd
BuildRequires:  /usr/bin/xsltproc
# Required for patch0.
BuildRequires:  autoconf automake gtk-doc libtool

# Crashes with older kernels (the bug being introduced in 4.0.2), without the
# upstream fixes in this version.
Requires:       kernel >= 4.0.4-202

# We need fusermount for the document portal
Requires:       fuse

%description
xdg-app is a system for building, distributing and running sandboxed desktop
applications on Linux. See https://wiki.gnome.org/Projects/SandboxedApps for
more information.

%package builder
Summary:        Build helper for %{name}
Group:          Development/Tools
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       /usr/bin/bzr
Requires:       /usr/bin/git
Requires:       /usr/bin/patch
Requires:       /usr/bin/strip
Requires:       /usr/bin/tar
Requires:       /usr/bin/unzip

%description builder
xdg-app-builder is a tool that makes it easy to build applications and their
dependencies by automating the configure && make && make install steps.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
This package contains the pkg-config file and development headers for %{name}.

%package libs
Summary:        Libraries for %{name}
Group:          Development/Libraries
License:        LGPLv2+

%description libs
This package contains libxdg-app.


%prep
%setup -q


%build
# User namespace support is sufficient.
%ifarch %{power64}
%configure --with-priv-mode=none --disable-seccomp
%else
%configure --with-dwarf-header=%{_includedir}/libdwarf --with-priv-mode=none
%endif
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/libxdg-app.la


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
# A README would be nice.
%license COPYING
%doc NEWS
%{_bindir}/xdg-app
%{_bindir}/xdg-app-helper
%{_datadir}/bash-completion
%{_datadir}/dbus-1/interfaces/org.freedesktop.XdgApp.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.Documents.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Documents.service
%{_datadir}/dbus-1/services/org.freedesktop.XdgApp.service
%{_datadir}/gdm/env.d/%{name}.env
%{_datadir}/%{name}
%{_libexecdir}/xdg-app-session-helper
%{_libexecdir}/xdg-dbus-proxy
%{_libexecdir}/xdg-document-portal
%{_mandir}/man1/xdg-app*.1*
%exclude %{_mandir}/man1/xdg-app-builder.1*
%{_sysconfdir}/profile.d/xdg-app.sh
%{_userunitdir}/xdg-app-session-helper.service
%{_userunitdir}/xdg-document-portal.service

%files builder
%{_bindir}/xdg-app-builder
%{_mandir}/man1/xdg-app-builder.1*

%files devel
%{_datadir}/gir-1.0/XdgApp-1.0.gir
%{_datadir}/gtk-doc/
%{_includedir}/%{name}/
%{_libdir}/libxdg-app.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING
%{_libdir}/girepository-1.0/XdgApp-1.0.typelib
%{_libdir}/libxdg-app.so.*


%changelog
* Wed Apr 20 2016 David King <amigadave@amigadave.com> - 0.5.2-1
- Update to 0.5.2

* Wed Mar 30 2016 David King <amigadave@amigadave.com> - 0.5.1-1
- Update to 0.5.1

* Wed Mar 16 2016 David King <amigadave@amigadave.com> - 0.5.0-1
- Update to 0.5.0

* Fri Feb 26 2016 David King <amigadave@amigadave.com> - 0.4.13-1
- Update to 0.4.13

* Fri Feb 19 2016 David King <amigadave@amigadave.com> - 0.4.12-1
- Update to 0.4.12

* Tue Feb 09 2016 David King <amigadave@amigadave.com> - 0.4.11-1
- Update to 0.4.11

* Tue Feb 09 2016 David King <amigadave@amigadave.com> - 0.4.10-1
- Update to 0.4.10

* Mon Feb 08 2016 David King <amigadave@amigadave.com> - 0.4.9-1
- Update to 0.4.9

* Fri Jan 29 2016 David King <amigadave@amigadave.com> - 0.4.8-1
- Update to 0.4.8

* Mon Jan 25 2016 David King <amigadave@amigadave.com> - 0.4.7-2
- Add upstream patch to escape XML text

* Mon Jan 25 2016 David King <amigadave@amigadave.com> - 0.4.7-1
- Update to 0.4.7
- Add libs subpackage

* Wed Dec 16 2015 David King <amigadave@amigadave.com> - 0.4.6-1
- Update to 0.4.6
- Add new -builder and -devel subpackages

* Wed Nov 04 2015 David King <amigadave@amigadave.com> - 0.4.5-1
- Update to 0.4.5

* Thu Oct 15 2015 Karsten Hopp <karsten@redhat.com> 0.4.4-2
- disable libseccomp on ppc64, not available yet

* Fri Oct 02 2015 David King <amigadave@amigadave.com> - 0.4.4-1
- Update to 0.4.4 (#1268281)

* Tue Sep 29 2015 David King <amigadave@amigadave.com> - 0.4.3-1
- Update to 0.4.3

* Fri Sep 25 2015 David King <amigadave@amigadave.com> - 0.4.2.1-1
- Update to 0.4.2.1 (#1266286)

* Fri Sep 25 2015 David King <amigadave@amigadave.com> - 0.4.2-1
- Update to 0.4.2 (#1266286)

* Mon Sep 21 2015 David King <amigadave@amigadave.com> - 0.4.1-1
- Update to 0.4.1 (#1264898)

* Thu Sep 17 2015 David King <amigadave@amigadave.com> - 0.4.0-1
- Update to 0.4.0

* Fri Jul 10 2015 David King <amigadave@amigadave.com> - 0.3.6-1
- Update to 0.3.6

* Wed Jun 24 2015 David King <amigadave@amigadave.com> - 0.3.5-1
- Update to 0.3.5

* Tue Jun 23 2015 David King <amigadave@amigadave.com> - 0.3.4-1
- Update to 0.3.4

* Tue Jun 23 2015 David King <amigadave@amigadave.com> - 0.3.3-1
- Update to 0.3.3

* Tue Jun 16 2015 David King <amigadave@amigadave.com> - 0.3.2-1
- Update to 0.3.2

* Thu Jun 04 2015 David King <amigadave@amigadave.com> - 0.3.1-1
- Update to 0.3.1

* Tue May 26 2015 David King <amigadave@amigadave.com> - 0.3.0-1
- Update to 0.3.0

* Mon May 25 2015 David King <amigadave@amigadave.com> - 0.2.1-1
- Update to 0.2.1

* Fri May 15 2015 David King <amigadave@amigadave.com> - 0.2-2
- Package review for Fedora (#1221948)
- Add upstream patch to build against older GLib

* Fri May 15 2015 David King <amigadave@amigadave.com> - 0.2-1
- Update to 0.2

* Tue Mar 31 2015 David King <amigadave@amigadave.com> - 0.1-2
- Add profile.d snippet

* Mon Mar 23 2015 David King <amigadave@amigadave.com> - 0.1-1
- Update to 0.1 tarball release

* Sat Mar 21 2015 David King <amigadave@amigadave.com> - 0.0.1-0.1.20150321git94d1e169
- Initial packaging
